<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'chat', language 'en_ar', version '3.6'.
 *
 * @package     chat
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'Ye have upcoming chat sessions';
$string['chat:exportparticipatedsession'] = 'Export chat session which ye took part in';
$string['confignormalupdatemode'] = 'Chatroom updates are normally served efficiently using the <em>Keep-Alive</em> feature of HTTP 1.1, but this is still quite heavy on the server. A more advanced method is to use the <em>Stream</em> strategy to feed updates to the users. Using <em>Stream</em> scales much better (similar to the chatd method) but may not be supported by yer server.';
$string['configoldping'] = 'What is the maximum time that may pass before we detect that a user has disconnected (in seconds)? This is just an upper limit, as usually disconnects are detected very quickly. Lower values will be more demanding on yer server. If ye are using the normal method, <strong>never</strong> set this lower than 2 * chat_refresh_room.';
$string['configrefreshroom'] = 'How often should the chat room itself be refreshed? (in seconds).  Setting this low will make the chat room seem quicker, but it may place a higher load on yer web server when many people are chatting. If ye are using <em>Stream</em> updates, ye can select higher refresh frequencies -- try with 2.';
$string['deletesessionsure'] = 'Are ye sure ye want to delete this session?';
$string['entermessage'] = 'Enter yer message';
$string['explainmethoddaemon'] = 'These settings matter <strong>only</strong> if ye have selected "Chat server daemon" for chat_method';
$string['explainmethodnormal'] = 'These settings matter <strong>only</strong> if ye have selected "Normal method" for chat_method';
$string['messageyoubeep'] = 'Ye beeped {$a}';
$string['nopermissiontoseethechatlog'] = 'Ye don\'t have permission to see the chat logs.';
$string['notallowenter'] = 'Ye are not allowed to enter the chat room.';
$string['notlogged'] = 'Ye are not boarded!';
$string['usingchat_help'] = 'The chat module contains some features to make chatting a little nicer.

* Smilies - Any smiley faces (emoticons) that ye can type elsewhere in Moodle can also be typed here, for example :-)
* Links - Website addresses will be turned into links automatically
* Emoting - Ye can start a line with "/me" or ":" to emote, for example if yer name is Kim and ye type ":laughs!" or "/me laughs!" then everyone will see "Kim laughs!"
* Beeps - Ye can send a sound to other participants by clicking the "beep" link next to their name. A useful shortcut to beep all the people in the chat at once is to type "beep all".
* HTML - If ye know some HTML code, ye can use it in yer text to do things like insert images, play sounds or create different coloured text';
