<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'webservice', language 'en_ar', version '3.6'.
 *
 * @package     webservice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['createservicedescription'] = 'A service is a set of web service functions. Ye will allow the user to access to a new service. On the <strong>Add service</strong> page check \'Enable\' and \'Authorised users\' options. Select \'No required capability\'.';
$string['createserviceforusersdescription'] = 'A service is a set of web service functions. Ye will allow users to access to a new service. On the <strong>Add service</strong> page check \'Enable\' and uncheck \'Authorised users\' options. Select \'No required capability\'.';
$string['deleteserviceconfirm'] = 'Deleting a service will also delete the tokens related to this service. Do ye really want to delete external service "{$a}"?';
$string['deletetokenconfirm'] = 'Do ye really want to delete this web service token for <strong>{$a->user}</strong> on the service <strong>{$a->service}</strong>?';
$string['docaccessrefused'] = 'Ye are not allowed to see the documentation for this token';
$string['errorcatcontextnotvalid'] = 'Ye cannot execute functions in the category context (category id:{$a->catid}). The context error message was: {$a->message}';
$string['errorcoursecontextnotvalid'] = 'Ye cannot execute functions in the course context (course id:{$a->courseid}). The context error message was: {$a->message}';
$string['executewarnign'] = 'WARNING: If ye press execute yer database will be modified and changes can not be reverted automatically!';
$string['invalidiptoken'] = 'Invalid token - yer IP is not supported';
$string['keyshelp'] = 'The keys are used to access yer Moodle account from external applications.';
$string['onesystemcontrollingdescription'] = 'The following steps help ye to set up the Moodle web services to allow an external system to interact with Moodle. This includes setting up a token (security key) authentication method.';
$string['removefunctionconfirm'] = 'Do ye really want to remove function "{$a->function}" from service "{$a->service}"?';
$string['resettokenconfirm'] = 'Do ye really want to reset this web service key for <strong>{$a->user}</strong> on the service <strong>{$a->service}</strong>?';
$string['resettokenconfirmsimple'] = 'Do ye really want to reset this key? Any saved links containing the old key will not work anymore.';
$string['testauserwithtestclientdescription'] = 'Simulate external access to the service using the web service test client. Before doing so, login as a user with the moodle/webservice:createtoken capability and obtain the security key (token) via My profile settings. Ye will use this token in the test client. In the test client, also choose an enabled protocol with the token authentication. <strong>WARNING: The functions that ye test WILL BE EXECUTED for this user, so be careful what ye choose to test!</strong>';
$string['testclientdescription'] = '* The web service test client <strong>executes</strong> the functions for <strong>REAL</strong>. Do not test functions that ye don\'t know. <br/>* All existing web service functions are not yet implemented into the test client. <br/>* In order to check that a user cannot access some functions, ye can test some functions that ye didn\'t allow.<br/>* To see clearer error messages set the debugging to <strong>{$a->mode}</strong> into {$a->atag}<br/>* Access the {$a->amfatag}.';
$string['testwithtestclientdescription'] = 'Simulate external access to the service using the web service test client. Use an enabled protocol with token authentication. <strong>WARNING: The functions that ye test WILL BE EXECUTED, so be careful what ye choose to test!</strong>';
$string['userasclientsdescription'] = 'The following steps help ye to set up the Moodle web service for users as clients. These steps also help to set up the recommended token (security keys) authentication method. In this use case, the user will generate his token from the security keys page via My profile settings.';
$string['usernotallowed'] = 'The user is not allowed for this service. First ye need to allow this user on the {$a}\'s allowed users administration page.';
$string['wsdocumentationintro'] = 'To create a client we advise ye to read the {$a->doclink}';
$string['wsdocumentationlogin'] = 'or enter yer web service username and password:';
